Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.book.filter.thml
Class SyncTag

    java.lang.Object
      org.crosswire.jsword.book.filter.thml.AbstractTag
          org.crosswire.jsword.book.filter.thml.SyncTag

All Implemented Interfaces:
  Tag

    public class SyncTag

extends AbstractTag

THML Tag to process the sync element. A sync tag is always empty and immediately follows what it marks. With types of Strongs and morph these are to become w elements that surround the word that they modify. This requires that we find the last text element and surround it with a w element. If the last text element is already surrounded with a w element then this is added to it. As a simplifying assumption, we will assume that the text element is not contained by anything except perhaps by a w element.

Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `for license details. The copyright to this program is held by it's authors.`

Constructor Summary
`SyncTag()`

Method Summary
`String` | `getTagName()` What element does this class represent.
`org.jdom.Element` | `processTag(org.jdom.Element ele, Attributes attrs)` Make changes to the specified OSIS element given the attributes passed in the source document.

Methods inherited from class org.crosswire.jsword.book.filter.thml.AbstractTag
`processContent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SyncTag

    public SyncTag()

Method Detail

### getTagName

    public String getTagName()

  Description copied from interface: `Tag`
  What element does this class represent. For example the Tag that represents the >font ...> element would return the string "font".

### processTag

    public org.jdom.Element processTag(org.jdom.Element ele,
                                       Attributes attrs)

  Description copied from interface: `Tag`
  Make changes to the specified OSIS element given the attributes passed in the source document.

  Specified by:
    `processTag` in interface `Tag`
  Overrides:
    `processTag` in class `AbstractTag`
  Parameters:
    `ele` - The OSIS element to use as a parent
    `attrs` - The source document attributes.
  Returns:
    the element to which content is attached

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD